
Jupiter - Zadanie #1560
Oprogramowanie drzewa publikacji
2017-02-09 15:47 - Michał Komar

Status: Rozwiązany Start date: 2017-02-09
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Monika Maksymiuk Tester: Michał Komar
Description
Należy zaimplementować wyświetlanie drzewa publikacji. W ramach zadania należy:
    -  pobierać dane o jednym poziomie z backendu i dynamicznie ładować je na drzewie - parametrem jest id publikacji która ma
być rozwinięta (w przypadku, gdy przekazany zostanie null, pobierane będą elementy najwyższego poziomu dla użytkownika)
    -  dodać czytanie websocketa o zmianach struktury, gdy zmieni się struktura jednego z wyświetlanych elementów, należy go
przenieść na dobre miejsce w drzewie - do zastanowienia się jak dokładnie ma to działać
    -  pod każdy element drzewa dodać menu kontekstowe - na razie można wołać pustego callbacka z id zaznaczonego elementu
    -  zsynchronizować drzewo wyświetlane w sidemenu oraz drzewo standardowe (można to na jednym komponencie wyświetlać
poprzez ustawienie elementu w serwisie - patrz sidemenuservice)

Related issues:
Precedes Jupiter - Zadanie # 1705: Dodanie operacji do zarządzania strukturą ... Testowanie 2017-06-08 2017-06-08

Associated revisions
Revision 375d22e4 - 2017-02-13 09:23 - Michał Komar

refs #1560: Ukrywanie menu administracyjnego dla nie-adminów

Revision e334c731 - 2017-02-13 13:23 - Michał Komar

refs #1560: Dodanie kontrolera oraz async pobierania danych drzewa

Revision 1bc03b6c - 2017-02-20 10:00 - Michał Komar

refs #1560: Poprawienie wydajności komponentu tree

Revision f4e30825 - 2017-02-20 10:33 - Michał Komar

refs #1560: Poprawienie wydajności komponentu tree

Revision 471f6be1 - 2017-02-22 14:58 - Michał Komar

refs #1560: Poprawienie działania drzewa na firefoxie

Revision d321c7de - 2017-02-25 12:33 - Monika Maksymiuk

refs #1560. Menu kontekstowe dla node, scrollowanie drzewa
Revision 06f7847c - 2017-03-01 14:25 - Monika Maksymiuk

refs #1560. Poprawki w scrollowaniu sekcji

Revision 55179aaa - 2017-03-01 15:19 - Monika Maksymiuk

refs #1560. Ustalenie szerokosci dla komponentu

Revision b4a4b12a - 2017-03-01 17:42 - Monika Maksymiuk

refs #1560. Modyfikacje menu kontekstowego

Revision 4917e6a6 - 2017-03-02 16:01 - Monika Maksymiuk

refs #1560. Breadcrumbs z nawigacja

Revision 7c36fcff - 2017-03-03 07:34 - Monika Maksymiuk

refs #1560. Przeniesienie scss

Revision a5c1aba6 - 2017-03-03 08:06 - Monika Maksymiuk

refs #1560. Style do breadcrumbs

Revision fed85c91 - 2017-03-03 12:55 - Monika Maksymiuk

refs #1560. Obsluga eventow

Revision 57aaa77a - 2017-03-03 16:04 - Monika Maksymiuk

refs #1560. Przesuniecie buttonow akcji, poprawienie eventow w drzewie

Revision c424440b - 2017-03-15 13:32 - Monika Maksymiuk

refs #1560. Ucinanie nazw node'ów w drzewie i w menu kontekstowym

History
#1 - 2017-02-13 09:23 - Michał Komar
- Status changed from Nowy to W toku
- Assignee changed from Monika Maksymiuk to Michał Komar

#2 - 2017-02-22 09:52 - Michał Komar
- Status changed from W toku to Nowy
- Assignee changed from Michał Komar to Monika Maksymiuk
Do zrobienia zostało:
    -  obsługa eventów
    -  dodanie wyszukiwania w drzewie
    -  dodanie menu kontekstowego na nodach
    -  przeładowywanie dzieci po zamknięciu i ponownym otwarciu noda (tego nie jestem pewien)
    -  ostylowanie drzewa
    -  nawigacja po zaznaczeniu elementu drzewa

#3 - 2017-04-05 09:40 - Monika Maksymiuk
- Status changed from Nowy to W toku
- % Done changed from 0 to 30

#4 - 2017-06-01 09:11 - Michał Komar
- Description updated
- Status changed from W toku to Testowanie
- Assignee changed from Monika Maksymiuk to Michał Komar

#5 - 2017-06-01 09:11 - Michał Komar
- % Done changed from 30 to 100

#6 - 2017-06-01 09:18 - Michał Komar
- Precedes Zadanie #1705: Dodanie operacji do zarządzania strukturą na drzewie added

#7 - 2017-06-07 08:56 - Michał Komar
- Description updated

#8 - 2017-06-07 08:58 - Michał Komar
- Status changed from Testowanie to Rozwiązany

OK. Część podzadań przeniosłem do zadania #1705
